Subject: Lisa's Apps Area activity for Dec 2007

From: Lisa Dusseault <[email-masked]>
Date: Tue, 1 Jan 2008 13:11:17 -0800

Notes
Brief report due to not much activity over holidays

Document Status and Progress

Active Documents: my action
  - draft-ellermann-news-nntp-uri (Proposed Standard): I need to review
  - draft-wilde-sms-uri (Proposed Standard): I need to do a writeup  
-- no doc shepherd.  Major issue to deal with: overlap with tel URI.

Stalled, in review, waiting on other:
  - draft-ietf-sieve-body (Proposed Standard): On agenda 1/10 for  
IESG Evaluation
  - draft-adolf-dvb-urn (Informational): same
  - draft-evain-ebu-urn (Informational): Need new text or version  to  
address secdir review
  - draft-klensin-rfc2821bis (Draft Standard): IETF Last Call is  
over, author and shepherd are taking some time before deciding how to  
address last call issues.
  - draft-ietf-sieve-notify: Doc shepherd is dealing with DISCUSS issues
  - draft-ietf-sieve-notify-xmpp:  same
  - draft-creed-ogc-urn (Informational): Waiting for new version to  
deal with IESG eval input.
  - draft-ietf-sieve-notify-mailto: waiting on new version after IETF  
last call
  - draft-snell-atompub-bidi (Proposed Standard): author waiting on  
some implementation feedback
  - draft-ietf-imapext-sort (Proposed Standard) : waiting for authors  
to revise or decide it's ready

Finished Processing -- RFC Ed queue and new RFCs
  - draft-goodwin-iso-urn (Informational): Approved, waiting until  
post-holiday processing to enter RFC queue
- draft-sjdcox-cgi-urn (Informational): same
  - draft-mealling-epc-urn (Informational)
  - draft-saintandre-rfc4622bis (Proposed Standard)
  - draft-crocker-rfc4234bis (Standard)
  - draft-ietf-sieve-3028bis (Proposed Standard)

WG Status
  - not much action other than SIEVE, CALSIFY and HTTP meetings at  
IETF71.

---

From: "tom.petch" <[email-masked]>
Date: Fri, 4 Jan 2008 14:19:10 +0100

What is the currently recommended form for a URI for an XML schema and an XML
namespace?

The question has come up on ForCES where I, citing RFC3688 say it should be urn:
whereas the others cite RFC3470 to say that http: is recommended.

Other opinions welcome.

Tom Petch

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 4 Jan 2008 10:42:53 -0500

> -----Original Message-----
> From: tom.petch [mailto:[email-masked]] 
> Sent: Friday, January 04, 2008 8:19 AM
> To: Apps Discuss
> Subject: URI for XML schema and namespace
> 
> What is the currently recommended form for a URI for an XML 
> schema and an XML namespace?
> 

Those folks looking at 3470 might have missed the third paragraph in section
4.9:

"In the case of namespaces in IETF standards-track documents, it would
be useful if there were some permanent part of the IETF's own web
space that could be used for this purpose.  In lieu of such, other
permanent URIs can be used, e.g., URNs in the IETF URN namespace"

URNs in the IETF namespace seems to be the more common practice in the IETF:

http://www.iana.org/assignments/xml-registry/ns.html

http://www.iana.org/assignments/xml-registry/schema.html

-Scott-

---

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Jan 2008 16:53:50 +0100

Scott Hollenbeck wrote:
> ...

Unfortunately, the IETF so far hasn't followed the BCP's advice to 
actually make http-based namespace URIs available. Thus, if it's 
considered A Good Thing to provide a description of the namespace *at* 
the namespace URI - and when would it not? - I'd suggest to still use an 
http based namespace URL.

There are some IETF specs that for that very reason use URI assigned by 
the W3C (Atom, Atompub), and lots of other IETF specs use URIs on purl.org.

BR, Julian

---

From: "Tim Bray" <[email-masked]>
Date: Fri, 4 Jan 2008 07:58:03 -0800

> > whereas the others cite RFC3470 to say that http: is recommended.

Well, the Architecture of the World Wide Web
(http://www.w3.org/TR/webarch) argues strongly that http: URIs are
generally useful on the grounds that they can in principle (don't have
to be, but can) be used to retrieve some human-readable explanatory
material about whatever it is the URI names.   Also the URI itself
tends to be a bit more human-readable, which seems worthwhile to me.

The downside, as Scott points out, is that if you want to do that, you
have to find a domain to put after the http:// part, and the IETF just
doesn't do that.  In the case of RFC4287 and 5023, we borrowed one
from the W3C.

 -Tim

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 4 Jan 2008 11:04:21 -0500

> From: Julian Reschke [mailto:[email-masked]] 
> Sent: Friday, January 04, 2008 10:54 AM
> To: Scott Hollenbeck
> Cc: 'tom.petch'; 'Apps Discuss'
> Subject: Re: URI for XML schema and namespace
> 
> Scott Hollenbeck wrote:
> >> What is the currently recommended form for a URI for an XML schema 
> >> and an XML namespace?
> >>
> > Those folks looking at 3470 might have missed the third 
> paragraph in 
> > section
> > 4.9:
> > 
> Unfortunately, the IETF so far hasn't followed the BCP's 
> advice to actually make http-based namespace URIs available.

As one of the authors of 3470 I can say very clearly that 3470 doesn't
provide advice on this point.  It states fact:

"Typically (and recommended practice in W3C) is to assign namespace names
using persistent http URIs."

Notice that there's no "may", "should", "must", etc.

> Thus, if it's considered A Good Thing to provide a 
> description of the namespace *at* the namespace URI - and 
> when would it not? - I'd suggest to still use an http based 
> namespace URL.
> 
> There are some IETF specs that for that very reason use URI 
> assigned by the W3C (Atom, Atompub), and lots of other IETF 
> specs use URIs on purl.org.

That's certainly a valid option.  I'm not saying that one is better than the
other. What I am saying is that people shouldn't think that 3470 recommends
one over the other.

-Scott-

---

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Jan 2008 17:15:39 +0100

> Notice that there's no "may", "should", "must", etc.

It also says:

    In the case of namespaces in IETF standards-track documents, it would
    be useful if there were some permanent part of the IETF's own web
    space that could be used for this purpose. (...)

Isn't that advice?

BR, Julian

---

From: "David Harrington" <[email-masked]>
Date: Fri, 4 Jan 2008 11:16:05 -0500

Has anybody actually asked Ray to get such a  permanent part of IETF's
own web space allocated and setup? Would entries on the web site
require IANA assignment, e.g. as a registry?

I'm asking because I am new to the discussion, and simply don't know
the answer.

dbh

> From: Scott Hollenbeck [mailto:[email-masked]] 
> Sent: Friday, January 04, 2008 11:04 AM
> To: 'Julian Reschke'
> Cc: 'Apps Discuss'
> Subject: RE: URI for XML schema and namespace
> 
> > >> The question has come up on ForCES where I, citing 
> RFC3688 say it 
> > >> should be urn:

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 04 Jan 2008 09:20:06 -0700

> tends to be a bit more human-readable, which seems worthwhile to me.

If http URI, type into browser location bar.

If URN, type into browser search bar.

I don't see a great deal of difference. :)

> have to find a domain to put after the http:// part, 

... and ensure that the domain is stable, and that the people running 
the domain will reliably host your namespace, and ...

> and the IETF just

FWIW, we Jabberites used https URIs like http://jabber.org/protocol/* 
for a long time but recently switched to URNs like urn:xmpp:* because 
they're more stable (what happens if the person registering jabber.org 
loses control over the domain?) and will last forever.

The choice of http URI vs. URN seems like a toss-up to me.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Jan 2008 17:24:01 +0100

> I'm asking because I am new to the discussion, and simply don't know

I think historically there's a lot of reluctance inside IANA (or the 
whole IESG) to consider any URI starting with "http" as permanent.

BR, Julian

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 04 Jan 2008 09:25:33 -0700

> whole IESG) to consider any URI starting with "http" as permanent.

Besides, URNs are relatively easy to obtain, so why not use them?

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Jan 2008 17:36:46 +0100

> Besides, URNs are relatively easy to obtain, so why not use them?

Because you can't resolve them, unless you have out-of-band information 
about how to do that.

If you encounter a namespace URI such as 
"urn:ietf:params:xml:ns:contact-1.0", you'll have to google for it to 
obtain information about what it is. In this case, you'll find the right 
thing, but it would be much easier if the IANA just assigned namespace 
URIs such as

   <http://ns.ietf.org/contact-1.0>

in the first place.

The fact that it does not has caused many specs to get their namespace 
URIs from other places, such as the W3C and purl.org.

BR, Julian

---

From: "David Harrington" <[email-masked]>
Date: Fri, 4 Jan 2008 11:47:59 -0500

Hi Julian,

That's an interesting observation, but it didn't answer my question.
Has anybody explicitly asked the people who can create such a
permanent web site to do so?
Has anybody fashioned an explicit proposal for the establishment of
permanent IETF URIs?

Am I off-target with my question?
Would this simply be a bad idea?
If it is a good idea, who wants it badly enough to write such a
proposal?

David Harrington
[email-masked]
[email-masked]

> Sent: Friday, January 04, 2008 11:24 AM
> To: David Harrington
> Cc: 'Scott Hollenbeck'; 'Apps Discuss'

---

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Jan 2008 17:55:53 +0100

> Has anybody fashioned an explicit proposal for the establishment of

Hi David,

I actually don't know.

> Am I off-target with my question?

Nope.

> Would this simply be a bad idea?

I think it would be a very good idea (same as making IANA registries 
more extensible by using URIs as identifier, and let IANA only maintain 
"shorthand" identifiers).

> If it is a good idea, who wants it badly enough to write such a

Good question. So far, the workaround (getting the namespace name from 
somebody else) has worked well enough, so maybe the problem just isn't 
big enough.

BR, Julian

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 4 Jan 2008 12:35:12 -0500

> From: David Harrington [mailto:[email-masked]] 
> Sent: Friday, January 04, 2008 11:16 AM
> To: 'Scott Hollenbeck'; 'Julian Reschke'
> Cc: 'Apps Discuss'
> Has anybody actually asked Ray to get such a  permanent part 
> of IETF's own web space allocated and setup? Would entries on 
> the web site require IANA assignment, e.g. as a registry?
> 
> I'm asking because I am new to the discussion, and simply 
> don't know the answer.

No one has as far as I know, either.

-Scott-

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 4 Jan 2008 12:36:41 -0500

> >> actually make http-based namespace URIs available.
> > 
> > "Typically (and recommended practice in W3C) is to assign namespace 
> > names using persistent http URIs."
> > 

No, it isn't.  It's an observation and was intended to be an observation.

-Scott-

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 4 Jan 2008 12:40:58 -0500

> Sent: Friday, January 04, 2008 11:37 AM
> To: Peter Saint-Andre
> Cc: 'Apps Discuss'
> Because you can't resolve them, unless you have out-of-band 
> information about how to do that.

That assumes that they need to be resolved.  When they're used to uniquely
identify an XML namespace they don't *need* to be, though I agree that it
might be nice if they *could* be.

-Scott-

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 04 Jan 2008 11:45:23 -0700

> might be nice if they *could* be.

Right.

In my experience, developers want to resolve namespaces when they're 
trying to figure out what the namespace means, what the schema is, etc. 
But applications don't need to resolve namespaces, nor do end users. At 
least as a general rule...

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Jan 2008 20:06:53 +0100

> least as a general rule...

Of course. It's sad that this need to be pointed out from time to time :-)

BR, Julian

---

From: "Tim Bray" <[email-masked]>
Date: Fri, 4 Jan 2008 11:17:41 -0800

> least as a general rule...

Exactly.

I have been told (I forget by whom) that there is some doubt as to who
actually controls ietf.org.  Sigh.  -Tim

---

From: Chris Newman <[email-masked]>
Date: Fri, 04 Jan 2008 15:46:02 -0800

As Applications Area Director, I'm not aware of anyone ever asking for that.

I'm holding a discuss position on:
   draft-narten-iana-considerations-rfc2434bis-08
because the present text forbids use of IANA URLs and I consider that an 
unacceptable new restriction for IANA considerations.

Current IETF practice discourages use of IANA URLs in IETF specifications. 
However, we have one case, RFC 4790, where stable iana.org http URLs are 
provided to registry elements and that was done with IANA's permission.  In 
that case, the registry was created to be useful to both the IETF and the W3C. 
The stable http URLs make the W3C happier so it was worth doing that way.

I would support a similar approach for iana.org http XML namespaces if someone 
spent the time to write up the rules and get IANA's consent.

Using an ietf.org http URIs for XML namespaces is a bad idea.  The IETF has 
deliberately kept the registry function for our standards separate and I 
consider that a feature.  Also, ietf.org is operated by the Secretariat 
function so using that domain for registrations would require additional (and 
more expensive) coordination than iana.org.  It _might_ be feasible to set up a 
redirect from ietf.org to iana.org for XML namespaces, but I worry that's just 
one additional level of complexity where things could break (especially if we 
transition the secretariat function between vendors periodically as we're in 
the process of doing now).

To summarize the options:
1. URNs for XML namespaces -- present IETF common practice
2. non-IETF http URLs for XML namespaces -- acceptable
3. iana.org http URLs for XML namespaces -- nobody has tried this, seems 
feasible to me.
4. ietf.org http URLs for XML namespaces -- nobody has tried this.  I think 
it's a bad idea.

                - Chris

---

From: "Tim Bray" <[email-masked]>
Date: Fri, 4 Jan 2008 16:56:14 -0800

...
> 4. ietf.org http URLs for XML namespaces -- nobody has tried this.  I think

Sounds very sensible to me.  As a Web Geek First Class, I'd volunteer
to help with the writing. Don't know anyone @IANA so would need an
intro if I were going to help there.  Were you thinking of an I-D?
-Tim

---

From: Martin Duerst <[email-masked]>
Date: Sat, 05 Jan 2008 11:03:27 +0900

At 08:46 08/01/05, Chris Newman wrote:
>because the present text forbids use of IANA URLs and I consider that an unacceptable new restriction for IANA considerations.

Great, thanks. Please hold on firmly to this discuss until things
are fixed.

>Current IETF practice discourages use of IANA URLs in IETF specifications. However, we have one case, RFC 4790, where stable iana.org http URLs are provided to registry elements and that was done with IANA's permission.

I wanted to bring up this case, but I'm glad Chris has done it.

>In that case, the registry was created to be useful to both the IETF and the W3C. The stable http URLs make the W3C happier so it was worth doing that way.

Yes indeed. The W3C uses URIs for a lot of things. One reason is that
it helps to avoid registries, or allows decentralized registration,
depending on the way you look at it.

>I would support a similar approach for iana.org http XML namespaces if someone spent the time to write up the rules and get IANA's consent.

Great to know. I'd probably be able to help, or can try to make
sure somebody from the W3C can help.

Regards,   Martin.

>Using an ietf.org http URIs for XML namespaces is a bad idea.  The IETF has deliberately kept the registry function for our standards separate and I consider that a feature.  Also, ietf.org is operated by the Secretariat function so using that domain for registrations would require additional (and more expensive) coordination than iana.org.  It _might_ be feasible to set up a redirect from ietf.org to iana.org for XML namespaces, but I worry that's just one additional level of complexity where things could break (especially if we transition the secretariat function between vendors periodically as we're in the process of doing now).
>
>3. iana.org http URLs for XML namespaces -- nobody has tried this, seems feasible to me.
>4. ietf.org http URLs for XML namespaces -- nobody has tried this.  I think it's a bad idea.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 7 Jan 2008 10:25:09 +0100

On Fri, Jan 04, 2008 at 03:46:02PM -0800,
 Chris Newman <[email-masked]> wrote 

> To summarize the options:

5. Eat our own dog food and use RFC 4151?

---

From: "tom.petch" <[email-masked]>
Date: Mon, 7 Jan 2008 12:16:54 +0100

----- Original Message -----
From: "Chris Newman" <[email-masked]>
To: "David Harrington" <[email-masked]>; "'Julian Reschke'"
<[email-masked]>
Cc: "'Apps Discuss'" <[email-masked]>
Sent: Saturday, January 05, 2008 12:46 AM
Subject: RE: URI for XML schema and namespace

<snip>

> 4. ietf.org http URLs for XML namespaces -- nobody has tried this.  I think

The I-D that prompted me to raise this, draft-ietf-forces-model-09.txt, contains

 <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
       xmlns="http://ietf.org/forces/1.0/lfbmodel"
       xmlns:lfb="http://ietf.org/forces/1.0/lfbmodel"
       targetNamespace="http://ietf.org/forces/1.0/lfbmodel"
       attributeFormDefault="unqualified"
       elementFormDefault="qualified">
      <xsd:annotation>

so ForCES might be trying 4) (and I am trying to persuade them otherwise).

Tom Petch

<snip>

---

From: "tom.petch" <[email-masked]>
Date: Mon, 7 Jan 2008 12:26:03 +0100

----- Original Message -----
From: "Tim Bray" <[email-masked]>
To: "Peter Saint-Andre" <[email-masked]>
Cc: "Apps Discuss" <[email-masked]>
Sent: Friday, January 04, 2008 8:17 PM
Subject: Re: URI for XML schema and namespace

> > least as a general rule...

In my role as an end user, I have spent a lot of time using SNMP MIBs to
understand the data model that they represent and to interpret what I am seeing.
Mostly I succeed because SMI does a good job of this or allows applications such
as OpenView to do a good job.  Now, increasingly I am doing the same thing with
XML - and it's a nightmare, a big component of which is namespaces.  I think
that XML (or the users of XML) has got them horrendously wrong.

What would make life bearable would be if each and every namespace was
resolvable, and resolved to a 'data dictionary' of some shape or form which
listed all the names currently defined in that namespace with syntax and some
level of description and reference - those familiar with SNMP and SMI and
RFC4181 may see where I am coming from (or wanting to get to).

Tom Petch

---

From: Chris Newman <[email-masked]>
Date: Mon, 07 Jan 2008 09:46:51 -0800

> 5. Eat our own dog food and use RFC 4151?

As RFC 4151 is informational, it's debatable whose dog food it is.  But it 
appears to be another option.  For this purpose it would seem to have the same 
issues that URNs have.

                - Chris

---

From: Martin Duerst <[email-masked]>
Date: Tue, 08 Jan 2008 10:49:43 +0900

Hello Tom,

Are they using things such as http://ietf.org/forces/1.0/lfbmodel
as resolvable URIs or are they using them without planning to
have them resolvable?

Regards,    Martin.

---

From: "tom.petch" <[email-masked]>
Date: Tue, 8 Jan 2008 10:49:06 +0100

---- Original Message -----
From: "Martin Duerst" <[email-masked]>
To: "tom.petch" <[email-masked]>; "Chris Newman" <[email-masked]>
Cc: "'Apps Discuss'" <[email-masked]>
Sent: Tuesday, January 08, 2008 2:49 AM
Subject: Re: URI for XML schema and namespace

> as resolvable URIs or are they using them without planning to

Without resolution as far as I can tell.

To quote from an e-mail on the ForCES list,

> The second issue appears to be our use of an http uri rather than a
> field delimited urn as the namespace.  The use of HTTP URIs seems fully
> conformant.  And the use of web space URIs seems recommended by RFC
> 3470.  The use of URNs for namespaces is offered there as a fallback
> alternative.  So it is not clear to me what the problem is with our usage.
>

So RFC3470 was taken as recommending an HTTP URI; but, after the recent
discussion on this list, for which many thanks to all who contributed, I think
that ForCES will switch to a urn:

Tom Petch

---

From: "tom.petch" <[email-masked]>
Date: Mon, 28 Jan 2008 10:32:20 +0100

Well, actually it was ' there is not point in having a schema name'.

I asked before what form URI should take for namespace and schema, and
I got a very clear answer, for which thank you.

But in two separate WGs I have proposed that schema should be given a URI and it
hasn't happened, in one case with the reply to the effect that they add no value
and are not worth having.

Instinctively I disagree and know of other WGs that do define them (although I
also saw an I-D which used a schema URI and then removed it before becoming an
RFC).

So what rational arguments might I advance as to why it is a good idea to name a
schema with a URI?

Tom Petch.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 28 Jan 2008 12:22:52 +0100

I believe that such a recommendation is implicit in documents like RFC
3688. 

Dan

> Sent: Monday, January 28, 2008 11:32 AM
> To: Apps Discuss
> Subject: URI for XML schema - why bother?
> 
> I asked before what form URI should take for namespace and 
> schema, and I got a very clear answer, for which thank you.
> 
> But in two separate WGs I have proposed that schema should be 
> given a URI and it hasn't happened, in one case with the 
> reply to the effect that they add no value and are not worth having.
> 
> Instinctively I disagree and know of other WGs that do define 
> them (although I also saw an I-D which used a schema URI and 
> then removed it before becoming an RFC).
> 
> So what rational arguments might I advance as to why it is a 
> good idea to name a schema with a URI?
> 
> Tom Petch.
> 
> 
> 
> 
> This email was protected during delivery to Avaya with TLS encryption
> 
>

---

From: "tom.petch" <[email-masked]>
Date: Mon, 28 Jan 2008 16:45:29 +0100

----- Original Message -----
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: "tom.petch" <[email-masked]>; "Apps Discuss" <[email-masked]>
Sent: Monday, January 28, 2008 12:22 PM
Subject: RE: URI for XML schema - why bother?

I believe that such a recommendation is implicit in documents like RFC 3688.

Dan

I don't see that in the RFC.  I see that it defines a registry mechanism that
can be used, I can read between the lines and see that a namespace URN will be
created if no URI is specified but I cannot see an interpretation that says that
a schema URN will be created if nothing is in the I-D.

Tom Petch